Package org.apache.xmlbeans.impl.schema

## Class SchemaLocalElementImpl

- java.lang.Object
- - org.apache.xmlbeans.impl.schema.SchemaParticleImpl
  - - org.apache.xmlbeans.impl.schema.SchemaLocalElementImpl

- All Implemented Interfaces:
    `SchemaAnnotated`, `SchemaField`, `SchemaLocalElement`, `SchemaParticle`, `SchemaWSDLArrayType`
  Direct Known Subclasses:
    `SchemaGlobalElementImpl`

      public class SchemaLocalElementImpl
      extends SchemaParticleImpl
      implements SchemaLocalElement, SchemaWSDLArrayType

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected boolean` | `_abs` |

    - ### Fields inherited from class org.apache.xmlbeans.impl.schema.SchemaParticleImpl

      `_parseObject`

    - ### Fields inherited from interface org.apache.xmlbeans.SchemaParticle

      `ALL, CHOICE, ELEMENT, LAX, SEQUENCE, SKIP, STRICT, WILDCARD`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SchemaLocalElementImpl()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `blockExtension()` | True if extension is blocked.
    `boolean` | `blockRestriction()` | True if restriction is blocked.
    `boolean` | `blockSubstitution()` | True if element substitution is blocked.
    `SchemaAnnotation` | `getAnnotation()` | Returns the Schema annotation object or null if none present
    `SchemaIdentityConstraint.Ref[]` | `getIdentityConstraintRefs()` |
    `SchemaIdentityConstraint[]` | `getIdentityConstraints()` | Returns all the Key, KeyRef, and Unique constraints on this element.
    `SOAPArrayType` | `getWSDLArrayType()` |
    `boolean` | `isAbstract()` | True if this element is prohibited in content.
    `void` | `setAbstract​(boolean abs)` |
    `void` | `setAnnotation​(SchemaAnnotation ann)` |
    `void` | `setBlock​(boolean extension, boolean restriction, boolean substitution)` |
    `void` | `setIdentityConstraints​(SchemaIdentityConstraint.Ref[] constraints)` |
    `void` | `setWsdlArrayType​(SOAPArrayType arrayType)` |

    - ### Methods inherited from class org.apache.xmlbeans.impl.schema.SchemaParticleImpl

      `acceptedStartNames, canStartWithElement, countOfParticleChild, getDefaultText, getDefaultValue, getDocumentation, getExcludeNextSet, getIntMaxOccurs, getIntMinOccurs, getMaxOccurs, getMinOccurs, getName, getParticleChild, getParticleChildren, getParticleType, getType, getUserData, getWildcardProcess, getWildcardSet, hasTransitionNotes, hasTransitionRules, isAttribute, isDefault, isDeterministic, isFixed, isNillable, isSingleton, isSkippable, isTypeResolved, mutate, resolveTypeRef, setDefault, setDefaultValue, setImmutable, setMaxOccurs, setMinOccurs, setNameAndTypeRef, setNillable, setParticleChildren, setParticleType, setTransitionNotes, setTransitionRules, setUserData, setWildcardProcess, setWildcardSet`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.xmlbeans.SchemaField

      `getDefaultText, getDefaultValue, getMaxOccurs, getMinOccurs, getName, getType, getUserData, isAttribute, isDefault, isFixed, isNillable`

- - ### Field Detail

    - #### _abs

          protected boolean _abs

  - ### Constructor Detail

    - #### SchemaLocalElementImpl

          public SchemaLocalElementImpl()

  - ### Method Detail

    - #### blockExtension

          public boolean blockExtension()

      Description copied from interface: `SchemaLocalElement`
      True if extension is blocked.
      Specified by:
        `blockExtension` in interface `SchemaLocalElement`

    - #### blockRestriction

          public boolean blockRestriction()

      Description copied from interface: `SchemaLocalElement`
      True if restriction is blocked.
      Specified by:
        `blockRestriction` in interface `SchemaLocalElement`

    - #### blockSubstitution

          public boolean blockSubstitution()

      Description copied from interface: `SchemaLocalElement`
      True if element substitution is blocked.
      Specified by:
        `blockSubstitution` in interface `SchemaLocalElement`

    - #### isAbstract

          public boolean isAbstract()

      Description copied from interface: `SchemaLocalElement`
      True if this element is prohibited in content. Only sensible if this is the head of a substitution group; then only substitution group members can appear.

      Although local elements cannot be abstract, if an element use is a ref to a global element, then the flag from the global element is copied in to the local element where the use occurs.

      Specified by:
        `isAbstract` in interface `SchemaLocalElement`

    - #### setAbstract

          public void setAbstract​(boolean abs)

    - #### setBlock

          public void setBlock​(boolean extension,
                               boolean restriction,
                               boolean substitution)

    - #### setAnnotation

          public void setAnnotation​(SchemaAnnotation ann)

    - #### setWsdlArrayType

          public void setWsdlArrayType​(SOAPArrayType arrayType)

    - #### getAnnotation

          public SchemaAnnotation getAnnotation()

      Description copied from interface: `SchemaAnnotated`
      Returns the Schema annotation object or null if none present
      Specified by:
        `getAnnotation` in interface `SchemaAnnotated`

    - #### getWSDLArrayType

          public SOAPArrayType getWSDLArrayType()

      Specified by:
        `getWSDLArrayType` in interface `SchemaWSDLArrayType`

    - #### setIdentityConstraints

          public void setIdentityConstraints​(SchemaIdentityConstraint.Ref[] constraints)

    - #### getIdentityConstraints

          public SchemaIdentityConstraint[] getIdentityConstraints()

      Description copied from interface: `SchemaLocalElement`
      Returns all the Key, KeyRef, and Unique constraints on this element.
      Specified by:
        `getIdentityConstraints` in interface `SchemaLocalElement`

    - #### getIdentityConstraintRefs

          public SchemaIdentityConstraint.Ref[] getIdentityConstraintRefs()